<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
	<title>Cobros</title>
</h:head>
<h:body>
	<ui:composition template="./main.xhtml">
		<ui:define name="content">


			<p:fieldset legend="Cobros" styleClass="container">
				<p:outputPanel class="ui-grid ui-grid-responsive">

					<div class="ui-grid-col-8">
						<h:form id="formCobros">
							<p:growl id="msj" />


							<h:panelGrid styleClass="card" style="width:97.5%;">
								<f:facet name="header">
									<h3>Abono del Crédito</h3>
								</f:facet>
								<h:panelGrid columns="4" styleClass="grids">
									<p:outputLabel value="Número de Factura" />
									<p:inputText value="#{transaccionBean.numFactura}">
										<p:ajax event="blur" update=":formCobros"
											listener="#{transaccionBean.factura()}" />
									</p:inputText>
									<p:outputLabel value="Cliente" />
									<p:inputText value="#{transaccionBean.clienteFactura}" />

								</h:panelGrid>
							</h:panelGrid>


							<h:panelGrid styleClass="card">
								<f:facet name="header">
									<h3>Detalles</h3>
								</f:facet>
								<h:panelGrid styleClass="grids">
									<p:dataTable var="pro" value="#{transaccionBean.listaDetalle}">
										<p:column headerText="Id" rendered="false">
											<h:outputText value="#{pro.idfdet}" />
										</p:column>

										<p:column headerText="Producto">
											<h:outputText value="#{pro.productos.nombre}" />
										</p:column>

										<p:column headerText="Cantidad">
											<h:outputText value="#{pro.cantidad}" />
										</p:column>
										<p:column headerText="Cuota minima">
											<h:outputText value="#{pro.cuotaMin}" />
										</p:column>
										<p:column headerText="Abono">
											<h:outputText value="#{pro.abono}" />
										</p:column>
										<p:column headerText="Total">
											<h:outputText value="#{pro.total}" />
										</p:column>
										<p:column headerText="Acciones">
											<p:commandButton style="width:104%;"
												icon="fa fa-check-square" value="Seleccione"
												actionListener="#{transaccionBean.findByIdDetalles(pro)}"
												update="formPagos,:formPagos" />
										</p:column>
									</p:dataTable>
								</h:panelGrid>
							</h:panelGrid>
						</h:form>
					</div>


					<div class="ui-grid-col-4">
						<h:form id="formPagos">
							<p:growl id="msj" />

							<h:panelGrid styleClass="card">
								<f:facet name="header">
									<h3>Pago</h3>
								</f:facet>
								<h:panelGrid columns="2" styleClass="grids">

									<h:outputText value="Tipo de Abono" />
									<p:selectOneMenu id="abono"
										value="#{transaccionBean.tipoAbo.idtabono}">
										<f:selectItem itemLabel="Seleccione uno" itemValue="" />
										<f:selectItems value="#{transaccionBean.listTipoAbono}"
											var="ab" itemLabel="#{ab.tipo}" itemValue="#{ab.idtabono}" />
									</p:selectOneMenu>

									<h:outputText value="Medio de Pago" />
									<p:selectOneMenu id="medio"
										value="#{transaccionBean.medPago.idmp}">
										<f:selectItem itemLabel="Seleccione uno" itemValue="" />
										<f:selectItems value="#{transaccionBean.listMPago}" var="me"
											itemLabel="#{me.medio}" itemValue="#{me.idmp}" />
									</p:selectOneMenu>
								</h:panelGrid>


								<h:panelGrid columns="4" styleClass="grids">
									<p:dataTable var="pro" value="#">
										<p:column headerText="Id" rendered="false">
											<h:outputText value="#{pro.id}" />
										</p:column>

										<p:column headerText="Producto">
											<h:outputText
												value="#{transaccionBean.factudet.productos.nombre}" />
										</p:column>

										<p:column headerText="Monto">
											<p:inputText value="#{transaccionBean.factudet.cuotaMin}"
												style="width:98%" />
										</p:column>
									</p:dataTable>

								</h:panelGrid>
								<h:panelGrid columns="4" styleClass="grids">

									<p:commandButton icon="pi pi-times" value="Cancelar"
										actionListener="#{transaccionBean.init()}"
										update=":formCobros,formPagos,:formPagos" />

									<p:commandButton style="display:block; margin:auto;"
										icon="pi pi-save" value="Registrar"
										actionListener="#{transaccionBean.createAb()}" update="msj" />

									<p:commandButton icon="pi pi-print" value="Ticket" />
								</h:panelGrid>
							</h:panelGrid>
						</h:form>
					</div>
				</p:outputPanel>
			</p:fieldset>

			<ui:include src="/footer.xhtml" />
		</ui:define>
	</ui:composition>
</h:body>
</html>